NX Open C++ Reference Guide
|
Represents a @link Features::BridgeSurface Features::BridgeSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateBridgeSurfaceBuilder Features::FeatureCollection::CreateBridgeSurfaceBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::GeometricUtilities::FlowDirection * | EdgeFlowDirection () |
Returns the flow direction. | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | EdgeTangentMagnitude () |
Returns the edge tangent magnitude Created in NX8.0.0. | |
NXOpen::GeometricUtilities::Continuity * | FirstEdgeContinuity () |
Returns the first edge continuity Created in NX8.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | FirstEdgeOffset () |
Returns the first edge offset Created in NX8.0.0. | |
NXOpen::GeometricUtilities::CurveRangeBuilder * | FirstEdgeRange () |
Returns the first edge range Created in NX8.0.0. | |
NXOpen::SelectNXObject * | FirstEdgeSelection () |
Returns the first edge selection Created in NX8.0.0. | |
double | G0Tolerance () |
Returns the g0 tolerance Created in NX8.0.0. | |
double | G1Tolerance () |
Returns the g1 tolerance Created in NX8.0.0. | |
double | G2Tolerance () |
Returns the g2 tolerance Created in NX8.0.0. | |
bool | IsEndHandlesLinked () |
Returns the flag indicating if the end handles are linked Created in NX8.0.0. | |
bool | IsFirstEdgeContinuityReversed () |
Returns the flag indicating if continuity direction at first edge is reversed Created in NX8.0.0. | |
bool | IsFirstEdgeLimitEndToEnd () |
Returns the flag indicating if the first edge limit is end to end Created in NX8.0.0. | |
bool | IsFirstEdgeReversed () |
Returns the flag indicating if the first edge direction is reversed Created in NX8.0.0. | |
bool | IsSecondEdgeContinuityReversed () |
Returns the flag indicating if continuity direction at second edge is reversed Created in NX8.0.0. | |
bool | IsSecondEdgeLimitEndToEnd () |
Returns the flag indicating if the second edge limit is end to end Created in NX8.0.0. | |
bool | IsSecondEdgeReversed () |
Returns the flag indicating if the second edge direction is reversed Created in NX8.0.0. | |
bool | IsStartHandlesLinked () |
Returns the flag indicating if the start handles are linked Created in NX8.0.0. | |
NXOpen::GeometricUtilities::Rebuild * | Rebuild () |
Returns the surface rebuild data Created in NX8.0.0. | |
NXOpen::GeometricUtilities::Continuity * | SecondEdgeContinuity () |
Returns the second edge continuity Created in NX8.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | SecondEdgeOffset () |
Returns the second edge offset Created in NX8.0.0. | |
NXOpen::GeometricUtilities::CurveRangeBuilder * | SecondEdgeRange () |
Returns the second edge range Created in NX8.0.0. | |
NXOpen::SelectNXObject * | SecondEdgeSelection () |
Returns the second edge selection Created in NX8.0.0. | |
void | SetEndHandlesLinked (bool isEndHandlesLinked) |
Sets the flag indicating if the end handles are linked Created in NX8.0.0. | |
void | SetFirstEdgeContinuityReversed (bool isFirstEdgeContinuityReversed) |
Sets the flag indicating if continuity direction at first edge is reversed Created in NX8.0.0. | |
void | SetFirstEdgeLimitEndToEnd (bool isFirstEdgeLimitEndToEnd) |
Sets the flag indicating if the first edge limit is end to end Created in NX8.0.0. | |
void | SetFirstEdgeReversed (bool isFirstEdgeReversed) |
Sets the flag indicating if the first edge direction is reversed Created in NX8.0.0. | |
void | SetG0Tolerance (double g0Tolerance) |
Sets the g0 tolerance Created in NX8.0.0. | |
void | SetG1Tolerance (double g1Tolerance) |
Sets the g1 tolerance Created in NX8.0.0. | |
void | SetG2Tolerance (double g2Tolerance) |
Sets the g2 tolerance Created in NX8.0.0. | |
void | SetSecondEdgeContinuityReversed (bool isSecondEdgeContinuityReversed) |
Sets the flag indicating if continuity direction at second edge is reversed Created in NX8.0.0. | |
void | SetSecondEdgeLimitEndToEnd (bool isSecondEdgeLimitEndToEnd) |
Sets the flag indicating if the second edge limit is end to end Created in NX8.0.0. | |
void | SetSecondEdgeReversed (bool isSecondEdgeReversed) |
Sets the flag indicating if the second edge direction is reversed Created in NX8.0.0. | |
void | SetStartHandlesLinked (bool isStartHandlesLinked) |
Sets the flag indicating if the start handles are linked Created in NX8.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::BridgeSurface Features::BridgeSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateBridgeSurfaceBuilder Features::FeatureCollection::CreateBridgeSurfaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
EdgeFlowDirection.FlowDirectionType |
NotSpecified |
FirstEdgeContinuity.ContinuityType |
G1 |
FirstEdgeRange.AnchorPosition |
Start |
IsFirstEdgeLimitEndToEnd |
0 |
IsSecondEdgeLimitEndToEnd |
0 |
SecondEdgeContinuity.ContinuityType |
G1 |
Created in NX8.0.0.
NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::BridgeSurfaceBuilder::EdgeFlowDirection | ( | ) |
Returns the flow direction.
See GeometricUtilities::FlowDirection for details.
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::BridgeSurfaceBuilder::EdgeTangentMagnitude | ( | ) |
Returns the edge tangent magnitude
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeContinuity | ( | ) |
Returns the first edge continuity
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeOffset | ( | ) |
Returns the first edge offset
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeRange | ( | ) |
Returns the first edge range
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeSelection | ( | ) |
Returns the first edge selection
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::BridgeSurfaceBuilder::G0Tolerance | ( | ) |
Returns the g0 tolerance
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::BridgeSurfaceBuilder::G1Tolerance | ( | ) |
Returns the g1 tolerance
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::BridgeSurfaceBuilder::G2Tolerance | ( | ) |
Returns the g2 tolerance
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsEndHandlesLinked | ( | ) |
Returns the flag indicating if the end handles are linked
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsFirstEdgeContinuityReversed | ( | ) |
Returns the flag indicating if continuity direction at first edge is reversed
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsFirstEdgeLimitEndToEnd | ( | ) |
Returns the flag indicating if the first edge limit is end to end
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsFirstEdgeReversed | ( | ) |
Returns the flag indicating if the first edge direction is reversed
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsSecondEdgeContinuityReversed | ( | ) |
Returns the flag indicating if continuity direction at second edge is reversed
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsSecondEdgeLimitEndToEnd | ( | ) |
Returns the flag indicating if the second edge limit is end to end
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsSecondEdgeReversed | ( | ) |
Returns the flag indicating if the second edge direction is reversed
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::BridgeSurfaceBuilder::IsStartHandlesLinked | ( | ) |
Returns the flag indicating if the start handles are linked
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::BridgeSurfaceBuilder::Rebuild | ( | ) |
Returns the surface rebuild data
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeContinuity | ( | ) |
Returns the second edge continuity
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeOffset | ( | ) |
Returns the second edge offset
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeRange | ( | ) |
Returns the second edge range
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeSelection | ( | ) |
Returns the second edge selection
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::BridgeSurfaceBuilder::SetEndHandlesLinked | ( | bool | isEndHandlesLinked | ) |
Sets the flag indicating if the end handles are linked
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isEndHandlesLinked | isendhandleslinked |
void NXOpen::Features::BridgeSurfaceBuilder::SetFirstEdgeContinuityReversed | ( | bool | isFirstEdgeContinuityReversed | ) |
Sets the flag indicating if continuity direction at first edge is reversed
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isFirstEdgeContinuityReversed | isfirstedgecontinuityreversed |
void NXOpen::Features::BridgeSurfaceBuilder::SetFirstEdgeLimitEndToEnd | ( | bool | isFirstEdgeLimitEndToEnd | ) |
Sets the flag indicating if the first edge limit is end to end
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isFirstEdgeLimitEndToEnd | isfirstedgelimitendtoend |
void NXOpen::Features::BridgeSurfaceBuilder::SetFirstEdgeReversed | ( | bool | isFirstEdgeReversed | ) |
Sets the flag indicating if the first edge direction is reversed
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isFirstEdgeReversed | isfirstedgereversed |
void NXOpen::Features::BridgeSurfaceBuilder::SetG0Tolerance | ( | double | g0Tolerance | ) |
Sets the g0 tolerance
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
g0Tolerance | g0tolerance |
void NXOpen::Features::BridgeSurfaceBuilder::SetG1Tolerance | ( | double | g1Tolerance | ) |
Sets the g1 tolerance
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
g1Tolerance | g1tolerance |
void NXOpen::Features::BridgeSurfaceBuilder::SetG2Tolerance | ( | double | g2Tolerance | ) |
Sets the g2 tolerance
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
g2Tolerance | g2tolerance |
void NXOpen::Features::BridgeSurfaceBuilder::SetSecondEdgeContinuityReversed | ( | bool | isSecondEdgeContinuityReversed | ) |
Sets the flag indicating if continuity direction at second edge is reversed
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isSecondEdgeContinuityReversed | issecondedgecontinuityreversed |
void NXOpen::Features::BridgeSurfaceBuilder::SetSecondEdgeLimitEndToEnd | ( | bool | isSecondEdgeLimitEndToEnd | ) |
Sets the flag indicating if the second edge limit is end to end
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isSecondEdgeLimitEndToEnd | issecondedgelimitendtoend |
void NXOpen::Features::BridgeSurfaceBuilder::SetSecondEdgeReversed | ( | bool | isSecondEdgeReversed | ) |
Sets the flag indicating if the second edge direction is reversed
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isSecondEdgeReversed | issecondedgereversed |
void NXOpen::Features::BridgeSurfaceBuilder::SetStartHandlesLinked | ( | bool | isStartHandlesLinked | ) |
Sets the flag indicating if the start handles are linked
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isStartHandlesLinked | isstarthandleslinked |